Hello, I found a snippet to break a selected line at a selected intersection. I'm trying to modify the code so that it only asks once for the line to be broken, and repeats asking for intersections. I tried to get the last entity added by the "break" command by using entlast, however I'm afraid that's not the right way. The code always fails after entlast. Is there another way doing this? Thanks much! (while (not ss) (setq ss (entsel " Select line to break: ")) );endwhile (redraw (car ss) 3) (setvar "osmode" 32) (while (setq point (osnap (getpoint " Select intersectiont: ") "int")) (command "break" ss "f" point "@") (setq ss (entget (entlast))) );while